{
	"name": "table/external/ksef/other/preference.json",
	"table_name": "preference",
	"table_prefix": "prf",
	"record_type": ["ksef"],
	"local_table": "preference",
	"local_record_type": "ksef",
	"default_order": [],
	"field": [
		{
			"field_name": "referenceNumber",
			"local_field": "name_id",
			"field_type": "text",
			"constraint": ["unique"]
		}
	],
	"extra_field": [
		{
			"field_name": "description",
			"local_field": "json_data.description",
			"field_type": "text"
		},
		{
			"field_name": "authorIdentifier",
			"local_field": "json_data.author_identifier",
			"field_type": "json"
		},
		{
			"field_name": "contextIdentifier",
			"local_field": "json_data.context_identifier",
			"field_type": "json"
		},
		{
			"field_name": "requestedPermissions",
			"local_field": "json_data.requested_permissions",
			"field_type": "json"
		},
		{
			"field_name": "status",
			"local_field": "json_data.status",
			"field_type": "text"
		},
		{
			"field_name": "dateCreated",
			"local_field": "json_data.date_created",
			"field_type": "timestamp"
		},
		{
			"field_name": "lastUseDate",
			"local_field": "json_data.last_use_date",
			"field_type": "timestamp"
		},
		{
			"field_name": "sessionStatus",
			"local_field": "json_data.session_status",
			"field_type": "text"
		},
		{
			"field_name": "processingStatus",
			"local_field": "json_data.processing_status",
			"field_type": "text"
		},
		{
			"field_name": "sessionToken",
			"local_field": "json_data.session_token",
			"field_type": "text"
		},
		{
			"field_name": "openTimestamp",
			"local_field": "json_data.open_timestamp",
			"field_type": "timestamp"
		},
		{
			"field_name": "expiryTimestamp",
			"local_field": "json_data.expiry_timestamp",
			"field_type": "timestamp"
		},
		{
			"field_name": "validUntil",
			"local_field": "json_data.valid_until",
			"field_type": "timestamp"
		},
		{
			"field_name": "dateUpdated",
			"local_field": "json_data.date_updated",
			"field_type": "timestamp"
		},
		{
			"field_name": "totalInvoiceCount",
			"local_field": "json_data.total_invoice_count",
			"field_type": "int"
		},
		{
			"field_name": "successfulInvoiceCount",
			"local_field": "json_data.successful_invoice_count",
			"field_type": "int"
		},
		{
			"field_name": "failedInvoiceCount",
			"local_field": "json_data.failed_invoice_count",
			"field_type": "int"
		},
		{
			"field_name": "statusDetail",
			"local_field": "json_data.status_detail",
			"field_type": "json"
		}
	]
}
